rJava Package Not Installing on Mint Linux 17

While I was running R on my Linux Mint 17.2 OS I ran into a problem installing the xlsx package from the cran repository.

I produced the following error:

Didn’t tell me much.

 

Then I tried to install the rJava package

I got two errors

After searching I found the problem I was missing two libraries which can be installed with the following commands.

I had to close and open R Studio after all these steps.

Hope this helps someone else!

Posted in R